Bug 5283 - [UPDATE REQUEST] pavucontrol 0.9.10 -> 3.0
: [UPDATE REQUEST] pavucontrol 0.9.10 -> 3.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-26 21:41 MSK by Giovanni Mariani
Modified: 2015-04-13 13:38 MSD (History)
6 users (show)

See Also:
RPM Package: pavucontrol
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
kuzma.kazygashev: secteam_verified+
denis.silakov: published+


Attachments
Russian path (2.26 KB, application/gzip)
2015-03-31 02:32 MSD, VictorR2007
Details
pavucontrol.jpeg (49.38 KB, image/jpeg)
2015-03-31 02:41 MSD, VictorR2007
Details
ss3 (42.39 KB, image/png)
2015-04-01 11:32 MSD, Vladimir Potapov
Details
ss3 (32.83 KB, image/png)
2015-04-02 16:20 MSD, Vladimir Potapov
Details
ss4 (28.61 KB, image/png)
2015-04-02 16:21 MSD, Vladimir Potapov
Details
Исправленый pavucontrol (73.58 KB, image/jpeg)
2015-04-02 20:16 MSD, VictorR2007
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2015-03-26 21:41:23 MSK
We are really still in the stone age with 0.9.10...
New release 3.0.
Comment 1 Giovanni Mariani 2015-03-26 21:42:47 MSK
Advisory: update pavucontrol to release 3.0.

https://abf.io/build_lists/2476301
https://abf.io/build_lists/2476302
Comment 2 FirstLevel 2015-03-30 12:02:12 MSD
Update goes well for 32 and 64 bit (VM in virtualbox)
Comment 3 Vladimir Potapov 2015-03-30 16:28:11 MSD
The update is sent to expanded testing
**************************************
Comment 4 VictorR2007 2015-03-31 02:32:11 MSD
Created attachment 3851 [details]
Russian path

В приложении кривой перевод.
В po файле поменялся формат строк.
Сделал патч, который исправляет проблему.
Перевод сам не делал, просто изменил строки в файле.
Только не знаю, открывать новый баг, или здесь можно оставить сообщение.
Вроде этот был закрыт.
Comment 5 VictorR2007 2015-03-31 02:41:44 MSD
Created attachment 3852 [details]
pavucontrol.jpeg

Там проблема с пападающими строками и ещё по мелочи.
Приложу фотку с исправлениями.
Comment 6 Vladimir Potapov 2015-04-01 11:32:55 MSD
Created attachment 3858 [details]
ss3
Comment 7 Vladimir Potapov 2015-04-01 11:33:40 MSD
я пока зарубаю по локализации, как будет новая сборка - нужно будет переоткрыть запрос.
Comment 8 Vladimir Potapov 2015-04-01 11:34:36 MSD
Localization issues
*******************
QA Denied
Comment 9 Andrey Bondrov 2015-04-01 20:30:14 MSD
I guess localization issues are fixed now.

Advisory: "New version 3.0"

https://abf.rosalinux.ru/build_lists/2487009
https://abf.rosalinux.ru/build_lists/2487010
Comment 10 Vladimir Potapov 2015-04-02 16:20:30 MSD
Created attachment 3863 [details]
ss3

old  - name of sound device is present
Comment 11 Vladimir Potapov 2015-04-02 16:21:51 MSD
Created attachment 3864 [details]
ss4

new  - sound device without name
Comment 12 Vladimir Potapov 2015-04-02 16:49:30 MSD
name of devices is lost
***********************
QA Denied
Comment 13 VictorR2007 2015-04-02 20:16:09 MSD
Created attachment 3867 [details]
Исправленый pavucontrol

Мне локально удалось собрать исправленный пакет.
На abf собрал себе тут
https://abf.rosalinux.ru/victorr2007/pavucontrol
В пакете, помимо изменений в спеке, изменил название и немного содержимое одного патча.
Не знаю, правильно так или нет, но все работает и устройства отображаются.
Проверил на KDE 5 и на KDE 4.
Comment 14 Andrey Bondrov 2015-04-03 03:18:34 MSD
(In reply to comment #13)
> https://abf.rosalinux.ru/victorr2007/pavucontrol
> В пакете, помимо изменений в спеке, изменил название и немного содержимое
> одного патча.

I'd prefer not to switch to GTK3 yet, let's see if only adjusting the patch helps. If not, I'll investigate what's wrong with GTK2 build.

Advisory: "New version 3.0"
https://abf.rosalinux.ru/build_lists/2487348
https://abf.rosalinux.ru/build_lists/2487349
Comment 15 Vladimir Potapov 2015-04-09 08:58:54 MSD
Names of devices is lost
***********************
QA Denied
Comment 16 Andrey Bondrov 2015-04-09 09:58:40 MSD
Let's use GTK3 then.

Advisory: "New version 3.0. Switch to GTK3."

https://abf.rosalinux.ru/build_lists/2488996
https://abf.rosalinux.ru/build_lists/2488997
Comment 17 Vladimir Potapov 2015-04-09 12:13:46 MSD
The update is sent to expanded testing
***************************************
Comment 18 Vladimir Potapov 2015-04-13 13:19:36 MSD
pavucontrol-3.0-7
https://abf.rosalinux.ru/build_lists/2488996
https://abf.rosalinux.ru/build_lists/2488997
************************** Advisory *************************
New version 3.0. Switch to GTK3
*************************************************************
QA Verified